* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Helvetica, "PingFang SC", "Microsoft Yahei", sans-serif;
  font-size: 16px;
}
h1,
h2,
h3 {
  margin: 0;
}
ol,
ul {
  margin: 0;
}
ul,
li,
a {
  list-style: none;
}
a {
  text-decoration: none !important;
}
a,
a:hover,
a:active,
a:visited,
a:link,
a:focus {
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
  -webkit-tap-highlight-color: transparent;

}
img {
  width: 100%;
}

.qr-code img {
  width: 160px;
  height: 160px;
}

html {
  scroll-behavior: smooth;
  /* font-size: 62.5%; */
  font-size: 16px;
  overflow-y: scroll;
  color: #1f2231;
}

/* :root {
  overflow-y: auto;
  overflow-x: hidden;
}
:root body {
  position: absolute;
} */

body {
  /* width: 100vw;
  overflow: hidden; */
  width: 100%;
  height: 100%;
  color: #1f2231;
  overflow-x: hidden;
}
.clearfix:after {
  content: ".";
  display: block;
  height: 0;
  clear: both;
  visibility: hidden;
}
:root {
  --primary-color: #ff434f;
  --secondary-color: #e3e3e3;
  --text-color-lightest: #e7e9ec;
  --text-color-darker: #2e2e2e;
  --text-color-dark: #494949;
  --text-color-gray: #8b8b8b;
  --text-color-dark-gray: #727272;
  --text-color-light-gray: #c6c6c6;
  --backdrop-color: rgba(42, 42, 42, 0.7);
}
/* 返回顶部 */
#backTop {
  position: fixed;
  cursor: pointer;
  bottom: 20px;
  right: 20px;
  z-index: 901;
  width: 40px;
  height: 40px;
  display: none;
  background-color: #D11034;
  border-radius: 50%;
  border: none;
}

.custom-icon-back-top {
  display: block;
  width: 100%;
  height: 100%;
  background-image: url(../imgs/backTop.png);
  background-repeat: no-repeat;
  background-position: center; /* 居中图片 */
  background-size: 80% 80%; /* 调整图片大小 */
}

/* 111222333 */
/* 悬浮的联系方式 default-content,hover-content*/
.contact-container {
  position: fixed;
  right: 0;
  top: 30%;
  z-index: 100;
}

.contact-item {
  position: relative;
  margin-bottom: 5px; /* 减少每个联系项的底部间距 */
}

/* 默认样式 */
.default-content {
  width: 70px;
  height: 70px;
  background-color: rgba(30, 30, 30, 0.4);
  border-left: 3px solid #D11034;
  transition: all 0.3s ease;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  cursor: pointer;
}

.default-content img{
  width: 20px;
  margin-bottom: 5px;
}

.default-content p,
.hover-content p{
  color: #fff;
  margin: 0;
  font-size: 14px;
}

/* 悬浮样式 */
.hover-content {
  width: 200px;
  height: 70px;
  background-color: #D11034;
  position: absolute;
  right: 0px; /* 放在默认内容的左侧 */
  top: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #fff;
  opacity: 0;
  pointer-events: none;/* 点击会穿透到下层元素 */
  transition: all 0.3s ease;
  transform: translateX(70px);
}
.wechat{
  width: 150px;
  height: 150px;
  position: absolute;
  right: 200px; /* 放在默认内容的左侧 */
  bottom: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #fff;
  opacity: 0;
  pointer-events: none;/* 点击会穿透到下层元素 */
  transition: all 0.3s ease;
  transform: translateX(70px);
}
.contact-item:hover .default-content {
  opacity: 0;
  width: 0;
}
.contact-item:hover .wechat,
.contact-item:hover .hover-content {
  opacity: 1;
  pointer-events: auto;/* 可点击（默认值，通常无需显式声明） */
  transform: translateX(0);
}

/* 公共按钮 */
.explore-btn {
  display: flex;
  width: 3rem;
  height: 0.8rem;
  border: 0;
  color: var(--text-color-lightest);
  font-size: 0.3rem;
  cursor: pointer;
  outline: none;
  background: linear-gradient(90deg, #4c4ec5, #32359e);
  border-radius: 32px;
  font-weight: 400;
  justify-content: center;
  align-items: center;
}

.title24 {
  /* font-size: 0.33rem; */
  font-size: 0.3375rem;
}
/* 一级标题 */
.title1 {
  font-size: 0.4rem;
  font-weight: 400;
  color: var(--text-color-darker);
}
.title1::after {
  content: "";
  display: block;
  width: 58px;
  text-align: center;
  height: 5px;
  background-color: #425991;
  margin-top: 10px;
  position: relative;
  left: 50%;
  transform: translateX(-50%);
}
.title1 span:nth-child(1) {
  font-size: 0.4rem;
  color: #ff9d29;
}
.title1 span:nth-child(2) {
  font-size: 0.4rem;
  font-weight: 600;
}

/* 子页面公共部分 */
#sideBanner {
  width: 100%;
  background-image: url(../imgs/companybg.png);
  background-attachment: fixed;
  background-repeat: no-repeat;
  background-position: 50% 50%;
  background-size: cover;
  padding-top: 0.6rem;
}
#sideBanner .top {
  padding-left: 15px;
  padding-right: 15px;
}
#sideBanner .top,
#sideBanner .bottom {
  max-width: 1200px;
  width: 100%;
  margin: 0 auto 0.4rem;
  padding-bottom: 0.8rem;
  display: flex;
}
#sideBanner .top > div {
  width: 50%;
  background-color: #fff;
  color: rgba(31, 37, 38, 0.74902);
}
#sideBanner .top .top_left {
  padding: 30px;
}
#sideBanner .top_left h2 {
  font-size: 30px;
  color: rgb(51, 51, 51);
  margin-top: 12px;
}
#sideBanner .top_left p {
  margin-bottom: 0;
}
#sideBanner .top .top_right {
  padding: 20px;
  height: 100%;
  position: relative;
}
#sideBanner .bottom .bottom_left {
  padding: 0 20px;
}
#sideBanner .bottom .bottom_right {
  height: 400px;
  overflow: hidden;
}
#sideBanner .bottom > div {
  width: 50%;
}
#sideBanner .bottom_left .title {
  margin-bottom: 0.36rem;
}
#sideBanner .bottom_left .small_title {
  margin-bottom: 0.12rem;
}
#sideBanner .bottom p {
  max-width: 98%;
}

#leaveMsg h3.title {
  text-align: center;
  margin: 60px 0;
}

#sideBanner {
  padding: 0.6rem 10px 0;
}
#sideBanner > div {
  width: 100%;
  max-width: 1200px;
  margin: 0 auto;
}
#sideBanner .bottom .btm_icon {
  width: 33.3%;
  display: flex;
  color: #fff;
}
@media screen and (max-width: 640px) {
  #sideBanner .bottom .btm_icon {
    width: 90%;
  }
  #sideBanner .top_left h2 {
    font-size: 22px;
  }
  #sideBanner .top,
  #sideBanner .bottom {
    margin: 10px auto;
    flex-direction: column;
  }
  #sideBanner .top > div,
  #sideBanner .bottom > div {
    width: 90%;
    margin: 10px auto;
  }
  #sideBanner .top .top_right {
    padding: 30px;
  }
  #sideBanner .top_right h2 {
    margin-top: 0;
  }
  #sideBanner .bottom p {
    max-width: 100%;
  }
}
